/{organizationId}/finance/cash/bankConnectionsList bank connections
Returns a list of bank connections for a given organization
Required permissions:
cashAccount.insert
Path Parameters
organizationIdstringrequired Query Parameters
bankIdinteger | nullrequired maximum: 9007199254740991
exclusiveMinimum: 0
Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/finance/cash/bankConnections?bankId=1' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
connectionIdintegerrequired maximum: 9007199254740991
exclusiveMinimum: 0
namestringrequired minLength: 1
maxLength: 80
descriptionstringrequired maxLength: 120
importedAtdate-timerequired Additional properties are not allowed.
canDeletebooleanrequired Response
[
{
"connectionId": 1,
"name": "string",
"description": "string",
"importedAt": "2026-06-15T22:30:00Z",
"bank": {
"id": 1,
"name": "string",
"bic": "string",
"icon": "string",
"paymentCapabilities": {
"sepaDirectDebit": true
}
},
"interfaces": [
{
"bankingInterface": "XS2A",
"userActionRequired": true,
"lastManualUpdate": {
"result": "OK",
"errorMessage": "string",
"timestamp": "2026-06-15T22:30:00Z"
},
"lastAutoUpdate": {
"result": "OK",
"errorMessage": "string",
"timestamp": "2026-06-15T22:30:00Z"
}
}
],
"canDelete": true
}
]400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}